package com.jscape.inet.protocol;

import com.jscape.util.event.AbstractEvent;

/**
 * @author Alex Usun
 */
public abstract class AbstractSessionEvent
        extends AbstractEvent {

    protected AbstractSessionEvent(Session session) {
        super(session);
    }

    public Session getSession() {
        return (Session) getContext();
    }

    public void fire() {
        iterateHandlers();
    }
}
